<?php

use App\Models\Contact;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table(Contact::tableName(), function (Blueprint $table) {
            $table->boolean('answered')->default(false);
        });
    }

    public function down(): void
    {
        Schema::table(Contact::tableName(), function (Blueprint $table) {
            $table->dropColumn('answered');
        });
    }
};
